upload_url), generation can proceed; title, negative_tags, and style are required, and all other fields are optionalupload_url, title, negative_tags, styleupload_url specifies the source audio file URL to be processedtitle specifies the title for the generated musicstyle and negative_tags are used to control music and vocal stylelyrics is optional. V6 maximum 5000 characters. If omitted, prompt is used as lyrics when providedprompt, model, vocal_gender, style_weight, weirdness_constraint, audio_weight, varietycurl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "ai-music-api/add-vocals",
"callBackUrl": "https://example.com/callback",
"input": {
"prompt": "A calm and relaxing piano track.",
"title": "Relaxing Piano",
"negative_tags": "heavy metal, strong drum beats",
"style": "Jazz",
"upload_url": "https://example.com/music.mp3",
"model": "V6",
"vocal_gender": "m",
"style_weight": 0.61,
"weirdness_constraint": 0.72,
"audio_weight": 0.65,
"lyrics": "[Verse]\nKeep the melody flowing\nInto a gentle bridge\n[Chorus]\nLet the piano rise and fall",
"variety": 1
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}